diff --git a/configure.ac b/configure.ac
index 067f9d0..fdbe2f8 100644
--- a/configure.ac
+++ b/configure.ac
@@ -13,8 +13,7 @@ AC_SUBST(OPENEXR_VERSION_API, ${OPENEXR_VERSION_MAJOR}_${OPENEXR_VERSION_MINOR})
 AC_CANONICAL_HOST
 AC_CONFIG_SRCDIR(IlmImfTest/main.cpp)
 AC_CONFIG_HEADERS([config/OpenEXRConfig.h])
-AM_INIT_AUTOMAKE(1.6.3)  dnl Require automake 1.6.3 or better
-AM_MAINTAINER_MODE
+AM_INIT_AUTOMAKE
 
 
 LIBTOOL_CURRENT=24
@@ -28,7 +27,7 @@ AC_PROG_CXX
 AC_PROG_INSTALL
 AC_PROG_CC
 AC_PROG_LN_S
-AC_PROG_LIBTOOL
+LT_INIT
 AC_PROG_MAKE_SET
 
 dnl
@@ -58,8 +57,8 @@ AM_PATH_PKGCONFIG(
     [ILMBASE])
 
 dnl Define the version string
-AC_DEFINE_UNQUOTED([OPENEXR_VERSION_STRING], "${VERSION}", [OpenEXR version string])
-AC_DEFINE_UNQUOTED([OPENEXR_PACKAGE_STRING], "${PACKAGE_STRING}", [OpenEXR version string])
+AC_DEFINE_UNQUOTED([OPENEXR_VERSION_STRING], ["${VERSION}"], [OpenEXR version string])
+AC_DEFINE_UNQUOTED([OPENEXR_PACKAGE_STRING], ["${PACKAGE_STRING}"], [OpenEXR version string])
 AC_DEFINE_UNQUOTED([OPENEXR_VERSION_MAJOR], [${OPENEXR_VERSION_MAJOR}], [OpenEXR version string])
 AC_DEFINE_UNQUOTED([OPENEXR_VERSION_MINOR], [${OPENEXR_VERSION_MINOR}], [OpenEXR version string])
 AC_DEFINE_UNQUOTED([OPENEXR_VERSION_PATCH], [${OPENEXR_VERSION_PATCH}], [OpenEXR version string])
@@ -110,16 +109,7 @@ AC_ARG_ENABLE(threading,
               [multithread="${enableval}"], [multithread=yes])
 
 AS_IF([test "x${multithread}" != xno], [
-	ACX_PTHREAD(
-    [
-      AC_DEFINE(OPENEXR_IMF_HAVE_PTHREAD)
-      ILMBASE_LIBS="$PTHREAD_LIBS $ILMBASE_LIBS"
-      ILMBASE_CXXFLAGS="$ILMBASE_CXXFLAGS $PTHREAD_CFLAGS"
-      CC="$PTHREAD_CC"
-
-      AM_POSIX_SEM()
-    ],
-    [AC_MSG_ERROR([POSIX thread support required])])
+	AX_PTHREAD
 
 	AC_DEFINE([OPENEXR_IMF_HAVE_PTHREAD], [1], [Define if pthreads are available])
 
@@ -195,15 +185,6 @@ dnl AC_MSG_RESULT($complete_iomanip)
 dnl AC_LANG_RESTORE
 AC_DEFINE([OPENEXR_IMF_HAVE_COMPLETE_IOMANIP], [1], [Define when std::right is available])
 
-AC_MSG_CHECKING(for gcc optimization flags)
-old_cflags=$CFLAGS
-CFLAGS="$CFLAGS -pipe"
-AC_TRY_COMPILE([#include <stdio.h>],
-[ printf ("hello, world"); ],
-[ EXTRA_OPT_CFLAGS="-pipe"],[ EXTRA_OPT_CFLAGS=""])
-CFLAGS=$old_cflags
-AC_MSG_RESULT([$EXTRA_OPT_CFLAGS])
-
 
 dnl Check to see if the toolset supports AVX instructions in inline asm
 AC_ARG_ENABLE([avx],
